YepAPI
Instagram API

User About

Get extended about information for an Instagram user including account transparency data.

POST/v1/instagram/user-about
$0.01/call

Usage

const res = await fetch('https://api.yepapi.com/v1/instagram/user-about', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ username: 'natgeo' }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/instagram/user-about \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"username": "natgeo"}'

Request Body

ParameterTypeRequiredDescriptionDefault
usernamestringYesInstagram username

Response

{
  "ok": true,
  "data": {
    "username": "natgeo",
    "full_name": "National Geographic",
    "biography": "Experience the world through the eyes of National Geographic photographers.",
    "date_joined": "2012-05-15",
    "account_type": "Business",
    "category": "Media/News Company",
    "country": "United States",
    "former_usernames": [],
    "ads_count": 12
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.usernamestringInstagram username
data.full_namestringUser's display name
data.biographystringUser bio text
data.date_joinedstringDate the account was created
data.account_typestringAccount type (Personal, Business, Creator)
data.categorystringBusiness or creator category
data.countrystringCountry associated with the account
data.former_usernamesstring[]Previous usernames used by this account
data.ads_countnumberNumber of active ads run by this account

On this page